{% extends "base.html" %}

{% load staticfiles %}

{% block title %}Subscriptions{% endblock %}

{% block content %}

    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">
                Subscriptions
            </h3>
        </div>

        <div class="box-body">
            <div class="form-group">
                <div class="col-sm-10 col-sm-offset-1">
                    <div class="table-responsive" id="subscriptions_table">
                        <table class="table table-hover text-bold" width="100%">
                            <thead class="bg-green-gradient">
                                <tr>
                                    <td align="center" width="5%">№</td>
                                    <td>Full Name</td>
                                    <td>Birthday</td>
                                    <td>Address</td>
                                    <td>Phone Number</td>
                                    <td align="center" width="7%">Edit</td>
                                    <td align="center" width="7%">Delete</td>
                                </tr>
                            </thead>
                            <tbody>
                                {% for subscription in subscriptions %}
                                    <tr>
                                        <td align="center">{{ forloop.counter }}</td>
                                        <td>{{ subscription.full_name }}</td>
                                        <td>{{ subscription.birth_date }}</td>
                                        <td>{{ subscription.address }}</td>
                                        <td>{{ subscription.phone_number }}</td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-primary btn-sm edit_modal"
                                                    data-toggle="modal"
                                                    data-subscription-id="{{ subscription.id }}"
                                                    data-target="#subscriptions_modal">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                        </td>
                                        <td align="center">
                                            <button type="button"
                                                    class="btn btn-danger btn-sm delete_subscription"
                                                    data-subscription-id="{{ subscription.id }}">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="box-footer clearfix">
            <div class="col-sm-6 col-sm-offset-5">
                <button type="button" class="btn btn-danger pull-right"
                    data-toggle="modal"
                    data-subscription-id="null"
                    data-target="#subscriptions_modal">Add subscription
                </button>
            </div>
        </div>
    </div>

    <div id="subscriptions_modal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Subscription</h4>
                </div>

                <div class="modal-body">
                    <form class="form-horizontal" id="form_subscription"> {% csrf_token %}
                        <div class="form-group" hidden>
                            <label for="subscription_id" class="col-sm-3 control-label">ID</label>
                            <div class="col-sm-7" id="subscription_id_div">
                                <input id="subscription_id" class="form-control" type="text" value="" readonly>
                                <span class="help-block" id="subscription_id_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="full_name" class="col-sm-3 control-label">Full Name</label>
                            <div class="col-sm-7" id="full_name_div">
                                <input id="full_name" class="form-control" type="text" value="">
                                <span class="help-block" id="full_name_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="birth_date" class="col-sm-3 control-label">Birthday</label>
                            <div class="col-sm-7" id="birth_date_div">
                                <input id="birth_date" class="form-control" type="date" value="2019-01-01"
                                       style="padding-top: 2px">
                                <span class="help-block" id="birth_date_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="address" class="col-sm-3 control-label">Address</label>
                            <div class="col-sm-7" id="address_div">
                                <input id="address" class="form-control" type="text" value="">
                                <span class="help-block" id="address_help"></span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="phone_number" class="col-sm-3 control-label">Phone Number</label>
                            <div class="col-sm-7" id="phone_number_div">
                                <input id="phone_number" class="form-control" type="text" value="">
                                <span class="help-block" id="phone_number_help"></span>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pull-left" id="delete_subscription">Delete</button>
                    <button type="button" class="btn btn-warning pull-left" id="save_subscription">Save</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascript %}
    {{ block.super }}

    <script type="text/javascript" src="{% static 'js/subscriptions.js' %}"></script>
{% endblock %}

